Subject: [MMUSIC] draft-ejzak-mmusic-data-channel-sdpneg and draft-ejzak-mmusic-msrp-usage-data-channel

From: "DRAGE, Keith (Keith)" <[email-masked]>
Date: Mon, 27 Oct 2014 14:39:18 +0000

Based on the discussion on list over the last few days, I have submitted revised versions of the two SDP negotiation over data channel drafts as follows:

A new version of I-D, draft-ejzak-mmusic-data-channel-sdpneg-02.txt
has been successfully submitted by Keith Drage and posted to the IETF repository.

Name:		draft-ejzak-mmusic-data-channel-sdpneg
Revision:	02
Title:		SDP-based "SCTP over DTLS" data channel negotiation
Document date:	2014-10-27
Group:		Individual Submission
Pages:		22
URL:            http://www.ietf.org/internet-drafts/draft-ejzak-mmusic-data-channel-sdpneg-02.txt
Status:         https://datatracker.ietf.org/doc/draft-ejzak-mmusic-data-channel-sdpneg/
Htmlized:       http://tools.ietf.org/html/draft-ejzak-mmusic-data-channel-sdpneg-02
Diff:           http://www.ietf.org/rfcdiff?url2=draft-ejzak-mmusic-data-channel-sdpneg-02

Abstract:
   The Real-Time Communication in WEB-browsers (RTCWeb) working group is
   charged to provide protocols to support direct interactive rich
   communications using audio, video, and data between two peers' web-
   browsers.  For the support of data communication, the RTCWeb working
   group has in particular defined the concept of bi-directional data
   channels over SCTP, where each data channel might be used to
   transport other protocols, called sub-protocols.  Data channel setup
   can be done using either the internal in-band band (also referred to
   as 'internal' for the rest of the document) WebRTC Data Channel
   Establishment Protocol or some external out-of-band simply referred
   to as 'external negotiation' in the rest of the document . This
   document specifies how the SDP offer/answer exchange can be used to
   achieve such an external negotiation.  Even though data channels are
   designed for RTCWeb use initially they may be used by other protocols
   like, but not limited to, the CLUE protocol.  This document is
   intended to be used wherever data channels are used.

A new version of I-D, draft-ejzak-mmusic-msrp-usage-data-channel-01.txt
has been successfully submitted by Keith Drage and posted to the IETF repository.

Name:		draft-ejzak-mmusic-msrp-usage-data-channel
Revision:	01
Title:		MSRP over SCTP/DTLS data channels
Document date:	2014-10-27
Group:		Individual Submission
Pages:		11
URL:            http://www.ietf.org/internet-drafts/draft-ejzak-mmusic-msrp-usage-data-channel-01.txt
Status:         https://datatracker.ietf.org/doc/draft-ejzak-mmusic-msrp-usage-data-channel/
Htmlized:       http://tools.ietf.org/html/draft-ejzak-mmusic-msrp-usage-data-channel-01
Diff:           http://www.ietf.org/rfcdiff?url2=draft-ejzak-mmusic-msrp-usage-data-channel-01

Abstract:
   This document specifies how the Message Session Relay Protocol (MSRP)
   can be instantiated as a data channel sub-protocol, using the the SDP
   offer/answer exchange-based external negotiation defined in
   [I-D.ejzak-mmusic-data-channel-sdpneg].  Two network configurations
   are documented: a WebRTC end-to-end configuration (connecting two
   MSRP over data channel endpoints), and a gateway configuration
   (connecting an MSRP over data channel endpoint with an MSRP over TCP
   endpoint).